KD Chart 2: KDChart::DatasetSelectorWidget Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::DatasetSelectorWidget Class Reference

`#include <KDChartDatasetSelector.h>`

Inheritance diagram for KDChart::DatasetSelectorWidget:

[legend]
Collaboration diagram for KDChart::DatasetSelectorWidget:

[legend]
List of all members.

## Detailed Description

Definition at line 48 of file KDChartDatasetSelector.h.

## Public Slots
void | setSourceColumnCount (const int &columnCount)
void | setSourceRowCount (const int &rowCount)
## Signals
void | configureDatasetProxyModel (const DatasetDescriptionVector &rowConfig, const DatasetDescriptionVector &columnConfig)
void | mappingDisabled ()
## Public Member Functions
| DatasetSelectorWidget (QWidget *parent=0)

## Constructor & Destructor Documentation

DatasetSelectorWidget::DatasetSelectorWidget | ( | QWidget * | parent = `0` | ) | `[explicit]`

Definition at line 36 of file KDChartDatasetSelector.cpp.

    00037     : QFrame ( parent )
    00038     , mUi ( new Ui::DatasetSelector () )
    00039     , mSourceRowCount ( 0 )
    00040     , mSourceColumnCount ( 0 )
    00041 {
    00042     qWarning("For DatasetSelectorWidget to become useful, it has to be connected to the proxy model it configures!");
    00043
    00044     mUi->setupUi ( this );
    00045     setMinimumSize ( minimumSizeHint() );
    00046 }

## Member Function Documentation

void KDChart::DatasetSelectorWidget::configureDatasetProxyModel | ( | const DatasetDescriptionVector & | rowConfig,
|  | const DatasetDescriptionVector & | columnConfig |
| ) |  |  | `[signal]`

void KDChart::DatasetSelectorWidget::mappingDisabled | ( |  | ) | `[signal]`

void DatasetSelectorWidget::setSourceColumnCount | ( | const int & | columnCount | ) | `[slot]`

Definition at line 98 of file KDChartDatasetSelector.cpp.

    00099 {
    00100     if ( columnCount != mSourceColumnCount )
    00101     {
    00102         mSourceColumnCount = columnCount;
    00103         resetDisplayValues();
    00104     }
    00105 }

void DatasetSelectorWidget::setSourceRowCount | ( | const int & | rowCount | ) | `[slot]`

Definition at line 89 of file KDChartDatasetSelector.cpp.

    00090 {
    00091     if ( rowCount != mSourceRowCount )
    00092     {
    00093         mSourceRowCount = rowCount;
    00094         resetDisplayValues();
    00095     }
    00096 }

The documentation for this class was generated from the following files:

- KDChartDatasetSelector.h
- KDChartDatasetSelector.cpp